// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 1993 - 1995 - Anders Holtsberg
// Copyright (C) 1998 - 2000 - Mathematique Universite de Paris-Sud - Jean Coursol
// Copyright (C) INRIA
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

// STIXTEST Demonstrate more stixbox routines.


// Create a new graphic window (avoid interacting with the demo window)
scf();
disp('Compare the exact CDF and the empirical CDF for various distributions.');
disp('When paused with -->halt() enter return key to continue')
halt()
n=10000;
y=1:10000;
z=y/2000;
y=y/10000;
modele='exp';
for lambda=1:2
  clf()
  x=-gsort(-rexpweib(n,lambda));  
  F=1-exp(-lambda*z);
  stairs(x,y);
  plot(z,F)
  legend(["Exact CDF" "Empirical CDF"])
  title(modele+" lambda=" + string(lambda));
  halt()
end

/////////////////////////////////////////////////////////////
clf()
modele='normal 0 1';
x=-gsort(-rnorm(n,0,1));
F=pnorm(z);
stairs(x,y);
plot(z,F)
legend(["Exact CDF" "Empirical CDF"])
title(modele);
halt()


/////////////////////////////////////////////////////////////
clf()
modele='chisq 5';
pp=5;
qq=pp/2;
x=-gsort(-2*rjgamma(n,qq));
F=pchisq(2*z,pp);
stairs(x,y);
plot(2*z,F)
legend(["Exact CDF" "Empirical CDF"])
title(modele);
halt()


/////////////////////////////////////////////////////////////
clf()
modele='chisq 10';
pp=10;
qq=pp/2;
x=-gsort(-2*rjgamma(n,qq));
F=pchisq(2*z,pp);
stairs(x,y);
plot(2*z,F)
legend(["Exact CDF" "Empirical CDF"])
title(modele);
halt()

/////////////////////////////////////////////////////////////
clf()
modele='fisher 4 8';
x=-gsort(-rf(n,4,8));
F=pf(z,4,8);
stairs(x,y);
plot(z,F)
legend(["Exact CDF" "Empirical CDF"])
title(modele);
halt()

/////////////////////////////////////////////////////////////
clf()
modele='student 5';
x=-gsort(-rt(n,5));
F=pt(z,5);
stairs(x,y);
plot(z,F)
legend(["Exact CDF" "Empirical CDF"])
title(modele);
halt()

/////////////////////////////////////////////////////////////
clf()
modele='hypergeom 10 20 50';
x=-gsort(-rhypg(n,10,20,50));
F=phypg(z,10,20,50);
stairs(x,y);
plot(z,F)
legend(["Exact CDF" "Empirical CDF"])
title(modele);
halt()

/////////////////////////////////////////////////////////////
clf()
modele='binomiale';
x=-gsort(-rjbinom(n,20,.3));
F=pbinom(2*z,20,.3);
stairs(x,y);
plot(2*z,F)
title(modele);
halt()

/////////////////////////////////////////////////////////////
modele='poisson';
for lambda=[.5 1 2 3]
  clf()
  x=-gsort(-rpoiss(n,lambda));
  m= max(x);
  zz=[0,z];
  zz1=bool2s(round(zz)==zz);
  F=cumsum(exp(-lambda+zz.*log(lambda)-gammaln(zz+1)).*zz1);
  stairs(x,y);
  plot(zz,F)
  legend(["Exact CDF" "Empirical CDF"]);
  title(modele+" lambda=" + string(lambda));
  halt()
end;
//
disp('==================FIN DU TEST=====================');

//
// Load this script into the editor
//
filename = "stixtest.dem.sce";
dname = get_absolute_file_path(filename);
editor ( fullfile(dname,filename) );

