// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 1993 - 1995 - Anders Holtsberg
// Copyright (C) 2001-2002 - ENPC - Jean-Philippe Chancelier
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function [f]=dchisq(x,a)
f=[];
//DCHISQ   The chisquare density function
//
//         f = dchisq(x,d)
//	Input	x 	real
//		d	degree of freedom
//		(x,d can be matrix with common dimensions)
//
//	Output	f	chisquare density function with d degree of freedom
//			at the values of x 
//        Anders Holtsberg, 18-11-93
//        Copyright (c) Anders Holtsberg
 
if or(a<=0) then
  error('dchisq: Degrees of freedom is wrong');
end

f = dgamma(x/2,a*0.5)/2;
endfunction
