// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 1993 - 1995 - Anders Holtsberg
// Copyright (C) 2001-2002 - ENPC - Jean-Philippe Chancelier
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function [f]=dt(x,degreef)
//DT       The student t density function
//
//         f = dt(x,d)
//	Input	x	real
//		d	positive integer (degree of freedom)
//		(x and d can be matrix with common size)
//
//	Output	f	student density function with d degrees of freedom
//			at the values of x
       

  
if or(degreef<=0) then
  error('DegreesOfFreedom is wrong');
end
 
f = gamma((degreef+1)/2)./sqrt(degreef*pi)./gamma(degreef/2).*(1+x.^2./degreef).^(-(degreef+1)/2);

endfunction
