// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 1993 - 1995 - Anders Holtsberg
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function [J]=pairs(X,plotsymbol,diagonal)
J=[];
[nargout,nargin] = argn(0)
//PAIRS    Pairwise scatter plots.
// 
//	  pairs(X)
//         pairs(X,plotsymbol,diagonal)
// 
//	  The columns of X are plotted versus each other. An optional
//	  second argument is plotting symbol and a third argument is
//	  1 (2) if only upper (lower) triangle should be plotted.
 
       

 
[n,p] = size(X);
X = X-ones(n,1)*mtlb_min(X);
X = X ./ (ones(n,1)*mtlb_max(X));
if nargin<3 then
  diagonal = 0;
end
if nargin<2 then
  if n*p<100 then
    plotsymbol = 'o';
  else
    plotsymbol = '.';
  end
end
bf = 0.1;
ffs = 0.05/(p-1);
ffl = (1-2*bf-0.05)/p;
fL = linspace(bf,1-bf+ffs,p+1);
drawlater()
for i = 1:p
  for j = 1:p
    if diagonal==0|(diagonal==1)&(j<=i)|(diagonal==2)&(j>=i) then
      a=newaxes;
      a.axes_bounds=[fL(i),1-fL(p+1-j),ffl,1-ffl]
      if i==j then
        histo(X(:,i));
	a.data_bounds(:,1)=[-0.1;1.1000000000000001];
      else
        plot(X(:,i),X(:,j),plotsymbol);
        a.data_bounds=[-0.1,-0.1;1.1000000000000001,1.1000000000000001];
      end
      T=a.x_ticks;T.locations=0;T.labels='';a.x_ticks=T;
      a.y_ticks=T;
      if i==1 then
        xtitle(' ',' ',0);
      end
      if j==1 then
        xtitle(string(i),' ',' ');
      end
      drawnow()
    end
  end
end
endfunction
