// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 1993 - 1995 - Anders Holtsberg
// Copyright (C) 1998 - 2000 - Mathematique Universite de Paris-Sud - Jean Coursol
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function [F]=pchisq(x,a)
F=[];
//PCHISQ   The chisquare distribution function
//
//         F = pchisq(x,d)
//	Input	x	real
//		d	degree of freedom
//		(x,d can be scalar or matrix with common size)
//
//	Output	F	for each element of x, F=Prob(X<x) where
//			X is a chisquare random variable 
//			with  d degrees of freedom


 
if or(mtlb_any(a<=0)) then
  error('Degrees Of Freedom is wrong');
end
 
F = pgamma(x/2,a*0.5);
endfunction
