// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 1993 - 1995 - Anders Holtsberg
// Copyright (C) 1998 - 2000 - Mathematique Universite de Paris-Sud - Jean Coursol
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function [F]=pf(x,a,b)
F=[];
//PF       The F (or Fisher-Snedecor) cumulative distribution function 
//
//         F = pf(x,df1,df2)
//	Input	x	real
//		df1,df2 degrees of freedom
//		(x,df1,df2 can be scalar or matrix with common size)
//
//	Output	F	for each element of x, F=Prob((X/df1)/(Y/df2) < x)
//			where X and Y are independent Chisquare random 
//			variables with one degree of freedom



if or(mtlb_any(a<=0 | b<=0 | round(a)~=a | round(b)~=b))
   error('Degrees of freedom are wrong')
end

x = x ./ (x+b ./ a);
F = pbeta(x,a/2,b/2);

endfunction
