// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 1993 - 1995 - Anders Holtsberg
// Copyright (C) 2001-2002 - ENPC - Jean-Philippe Chancelier
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function [p]=pnorm(x,m,s)
//   The normal cumulative distribution function
//
//   p = pnorm(x,m,s)
//         
//	Input	x	real
//	  	m	mean (default value is 0)
//		s 	standard deviation (default value is 1)
//               (x,m,s can be scalar or matrix with common size)
//	Output	p	normal cumulative distribution function 
//                       with mean m and standard deviation s, 
//                       at the value of x :
//			 y=integral form -inf to x of
//			exp(-0.5*((t-m)./s)^2)./(sqrt(2*pi)*s)dt
// scilab version uses cdfnor 
[nargout,nargin] = argn(0)
if nargin<3 then  s = ones(x);end
if nargin<2 then  m = zeros(x);end
if length(m)==1 then m=m*ones(x);end 
if length(s)==1 then s=s*ones(x);end 
p =cdfnor("PQ",x,m,s);

endfunction
