// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 1993 - 1995 - Anders Holtsberg
// Copyright (C) 1998 - 2000 - Mathematique Universite de Paris-Sud - Jean Coursol
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function [F]=pt(x,degreef)
F=[];
//PT       The Student t cumulative distribution function
//
//         F = pt(x,d)
//	Input 	x	real
//		d	degree of freedom
//		(x,d can be scalar or matrix with common size)
//
//	Output	F	for each element of x, F=Prob(X<x) where
//			X is a Student random variable with d 
//			degrees of freedom

       



 
if or(mtlb_any(degreef<=0)) then
  error('Degrees Of Freedom is wrong');
end
 
degreef = min(degreef,1000000);
// make it converge and also accept Inf.
 
neg = x<0;
F = pf(x.^2,1,degreef);
F = 1-(1-F)/2;
F = F+(1-2*F) .* bool2s(neg);

endfunction
