// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 1993 - 1995 - Anders Holtsberg
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function [k]=qbinom(pr,n,p)
k=[];
//QBINOM  The binomial inverse cdf
// 
//        k = qbinom(pr,n,p)
 
       

 
// The algorithm contains a nice vectorization trick which
// relies on the fact that if two elements in a vector
// are exactely the same then matlab's routine gsort sorts them
// into the order they had. Do not change this, Mathworks!
 
if max([size(n,'*'),size(p,'*')])>1 then
  error('Sorry, this is not implemented');
end
if or(pr(:)>1)|or(pr(:)<0) then
  error('A probability should be 0<=p<=1, please!');
end
 
kk = (0:n)';
cdf = max(0,min(1,cumsum(dbinom(kk,n,p),'m')));
cdf(n+1) = 1;
[pp,J] = gsort(pr(:))
pp = pp($:-1:1)
J = J($:-1:1)
np = max(size(pp));
[S,I] = gsort([pp;cdf])
S = S($:-1:1)
I = I($:-1:1)
I = find(I<=np)'-((1:np)');
J(J) = (1:np)';
pr(:) = I(J);
k = pr;
endfunction
