// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 1993 - 1995 - Anders Holtsberg
// Copyright (C) 1998 - 2000 - Mathematique Universite de Paris-Sud - Jean Coursol
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function [x]=qf(p,a,b)
x=[];
//
//         x = qf(p,df1,df2)
//	Input	p	probability
//		df1,df2	degrees of freedom
//		(p,df1,df2 can be scalar or matrix with common size)
//
//	Output	F	inverse at p of the F cumulative distribution
//			function with degrees of freedom df1, df2
//
//	(the F law with  degrees of freedom df1 and df2
//	 is the law of (X/df1)/(Y/df2)  where  X and Y
//	 are independent Chisquare random variables 
//	 with one degree of freedom)		 


if or(mtlb_any(a<=0 | b<=0))
   error('degrees of freedom are wrong')
end
 
x = qbeta(p,a/2,b/2);
x = x .* b ./ ((1-x) .* a);
endfunction
