// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 1993 - 1995 - Anders Holtsberg
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function []=qqplot(x,y,ps)
[nargout,nargin] = argn(0)
//QQPLOT   Plot empirical quantile vs empirical quantile
// 
//         qqplot(x,y,ps)
// 
//         If two distributions are the same (or possibly linearly
//	  transformed) the points should form an approximately straight
//	  line. Data is x and y. Third argument ps is an optional plot
//	  symbol.
// 
//         See also QQNORM
 
if nargin<3 then
  ps = '*';
end
%v = x
if min(size(%v))==1 then %v=gsort(%v),else %v=gsort(%v,'r'),end
x = %v($:-1:1,:);
%v = y
if min(size(%v))==1 then %v=gsort(%v),else %v=gsort(%v,'r'),end
y = %v($:-1:1,:);
plot(x,y,ps);
xtitle(' ','Data X','Data Y');
endfunction
