// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 1993 - 1995 - Anders Holtsberg
// Copyright (C) 1998 - 2000 - Mathematique Universite de Paris-Sud - Jean Coursol
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function [x]=qt(p,a)
x=[];
//QT       The student t inverse distribution function
//
//         x = qt(p,d)
//	Input 	p	probability
//		d	positive integer (degree of freedom)
//		(p,d can be scalar or matrix with common size)
//
//	Output	x	value at p of an inverse of the student 
//			cumulative distribution with degree of 
//			freedom d

       




if or(mtlb_any( a<=0 | round(a)~=a))
    error('degree of freedom is wrong')
end
 
s = p<0.5;
p = p+(1-2*p) .* bool2s(s);
p = 1-2*(1-p);
x = qbeta(p,1/2,a/2);
x = x .* a ./ (1-x);
x = (1-2*bool2s(s)) .* sqrt(x);
endfunction
