// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 1993 - 1995 - Anders Holtsberg
// Copyright (C) 1998 - 2000 - Mathematique Universite de Paris-Sud - Jean Coursol
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function [x]=rt(n,degreef)
x=[];
//RT       Random numbers from the student t distribution (inversion method)
//
//         X = rt(n,d)
//	Input	n	positive integer or a 2-vector [lig, col] of 
//			positive integers
//		d	positive integer (degree of freedom)
//		X	n-vector or a n-matrix of random numbers 
//			chosen from the student distribution with d 
//			degrees of freedom

       




 
if or(mtlb_any(degreef<=0)) then
  error('Degrees Of Freedom is wrong');
end
 
if size(n)==1 then
  n = [n,1];
end
 
x = qt(grand(n(1),n(2),"def"),degreef);
endfunction
